.variable {
  color: inherit;
  display: inline-block;
  font-family: 'Menlo', monospace;
  font-style: inherit;
  font-size: 0.7rem;
  font-weight: 500;
  white-space: nowrap;
  word-break: keep-all;

  &.object, &.array, &.function {
    font-style: italic;
  }

  &.number {
    color: #2500CA;
  }

  &.string {
    color: #C40000;
  }

  &.undefined {
    color: #888888;
  }

  &.error {
    color: #ff0000;
  }
}
